-- -----------------------------------------------------------------
-- /------------------------------------------------------------\ --
-- |															| --
-- |	MAUTH	(http://mauth.missionsix.net/ )					| --
-- |	VERSION 0.9.6											| --
-- |															| --
-- \------------------------------------------------------------/ --
-- -----------------------------------------------------------------


-- --------------------------------------------------------

--
-- ### Creating table structure <em>`<?php echo  $TABLE_PREFIX; ?>sessions`</em> ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>sessions` (
  `session_id` varchar(40) NOT NULL default '',
  `fb_session_id` varchar(255) default NULL,
  `userid` int(11) NOT NULL default '0',
  `ip_address` varchar(46) NOT NULL default '0',
  `user_agent` varchar(256) NOT NULL,
  `last_activity` int(10) unsigned DEFAULT 0 NOT NULL,
  `user_data` text NOT NULL,
  PRIMARY KEY (`session_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- ### Creating table structure <em>`<?php echo  $TABLE_PREFIX; ?>users`</em> ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>users` (
  `userid` int(2) NOT NULL auto_increment,
  `roleid` int(4)  NOT NULL default <?php echo $DEFAULT_USERID; ?>,
  `fbuserid` int(15) NOT NULL default 0,
  `username` varchar(64) NOT NULL default '',
  `email` varchar(250) NOT NULL default '',
  `password` varchar(128) NOT NULL default '',
  `joined` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `profile` int(11) NOT NULL default '0',
  PRIMARY KEY  (`userid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- ### Creating table structure <em>`<?php echo  $TABLE_PREFIX; ?>users_reg`</em> ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>users_reg` (
  `regid` int(11) NOT NULL auto_increment,
  `username` varchar(32) NOT NULL default '',
  `email` varchar(64) NOT NULL default '',
  `roleid` int(4) NOT NULL DEFAULT <?php echo $DEFAULT_USERID; ?>,
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `regcode` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`regid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- ### Creating table structure <em>`<?php echo  $TABLE_PREFIX; ?>profiles`</em> ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>profiles` (
  `profileid` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL default '0',
  `website` varchar(256) NOT NULL default '',
  `twitter` varchar(128) NOT NULL default '',
  `lastfm` varchar(128) NOT NULL default '',
  `profile` text NOT NULL,
  `css` text NOT NULL,
  `about` text NOT NULL,
  PRIMARY KEY  (`profileid`),
  FULLTEXT KEY `about` (`about`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- ### Table structure for table <em>`<?php echo $TABLE_PREFIX; ?>roles`</em> ###
--

CREATE TABLE IF NOT EXISTS `<?php echo $TABLE_PREFIX; ?>roles` (
`roleid` int(4) NOT NULL auto_increment,
`parentid` int(4) default '0',
`name` varchar(255) NOT NULL default '',
PRIMARY KEY (`roleid`)
) ENGINE = MYISAM CHARSET=latin1;


-- ------------------------------------------------------------

--
--	### Creating table structure <em>`<?php echo $TABLE_PREFIX; ?>permissions`</em> ###
--

CREATE TABLE IF NOT EXISTS `<?php echo $TABLE_PREFIX; ?>permissions` (
  `permid` int(12) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY  (`permid`),
  UNIQUE KEY `title` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;



-- ------------------------------------------------------------

--
-- ### Creating table structure <em>`<?php echo  $TABLE_PREFIX; ?>store`</em> ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>store` (
`key` VARCHAR( 255 ) NOT NULL ,
`data` TEXT NOT NULL ,
PRIMARY KEY ( `key` )
) ENGINE = MYISAM CHARSET=latin1;



--
-- ### Creating table structure <em>`<?php echo  $TABLE_PREFIX; ?>role_permissions`</em> ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>role_permissions` (
  `roleid` int(11) NOT NULL,
  `permid` int(11) NOT NULL,
  `value` tinyint(1) NOT NULL,
  `uri` VARCHAR( 511 ),
  KEY `roleid` (`roleid`,`permid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


-- --------------------------------------------------------

--
-- ### Creating table structure <em>`<?php echo  $TABLE_PREFIX; ?>role_uri`</em> ###
--

CREATE TABLE IF NOT EXISTS `<?php echo  $TABLE_PREFIX; ?>role_uri` (
  `roleid` int(12) NOT NULL,
  `uri` varchar(255) NOT NULL,
  `valid` int(1) NOT NULL,
  KEY `roleid` (`roleid`,`uri`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


-- --------------------------------------------------------

--
-- ### Populating <em>`<?php echo  $TABLE_PREFIX; ?>roles`</em> table ###
--

INSERT INTO `<?php echo $TABLE_PREFIX; ?>roles` (`roleid`, `parentid`, `name`) VALUES
(1, 0, 'Registered User'),
(2, 0, 'Administrator');

--  --------------------------------------------------------

--
-- ### Populating <em>`<?php echo  $TABLE_PREFIX; ?>permissions`</em> table ###
--

INSERT INTO `<?php echo  $TABLE_PREFIX; ?>permissions` (`permid`, `title`, `description`) VALUES
	(1, 'edit_permissions', '[[dnd]]Can edit permissions?'),
	(2, 'add_permissions', '[[dnd]]Can add permissions?'),
	(3, 'edit_roles', '[[dnd]]Can add roles?'),
	(4, 'add_roles', '[[dnd]]Can add roles? '),
	(5, 'delete_user', '[[dnd]]Can delete users?'),
	(6, 'edit_user', '[[dnd]]Can edit user?'),
	(7, 'admin', '[[dnd]]Can access admin panel?'),
    (8, 'add_user', '[[dnd]]Can delete user account?'),
    (9, 'delete_roles', '[[dnd]]Can delete roles?'),
    (10,'delete_permissions', '[[dnd]]Can delete permissions?'),
	(11,'view_ip', '[[dnd]]Can view IP addresses?'),
	(12,'view_roles','[[dnd]]Can view role list'),
	(13,'view_permissions','[[dnd]]Can view role permissions');
	
-- --------------------------------------------------------

--
-- ### Populating <em>`<?php echo  $TABLE_PREFIX; ?>role_permissions`</em> table ###
--

INSERT INTO `<?php echo  $TABLE_PREFIX; ?>role_permissions` (`roleid`, `permid`, `value`, `uri`) VALUES
	(2, 1, 1, 'users/editpermission'),
	(2, 2, 1, ''),
	(2, 3, 1, 'users/editrole'),
	(2, 4, 1, ''),
	(2, 5, 1, 'users/deleteuser'),
	(2, 6, 1, 'profile/edit'),
	(2, 7, 1, ''),
    (2, 8, 1, ''),
    (2, 9, 1, 'users/deleterole'),
    (2,10, 1, 'users/deletepermission'),
	(2,11, 1, ''),
	(2,12, 1, 'users/roles'),
	(2,13, 1, 'users/permissions');

-- --------------------------------------------------------

--
-- ### Inserting Role-URI restrictions into <em>`<?php echo  $TABLE_PREFIX; ?>role_uri`</em> table ###
-- 
REPLACE INTO `<?php echo  $TABLE_PREFIX; ?>role_uri` 
	(`roleid`,`uri`,`valid`)
VALUES
	(2,'users/roles',1),
	(2,'users/permissions',1),
	(2,'users/editrole', 1),
	(2,'users/editpermission', 1),
	(2,'users/deleterole', 1),
	(2,'users/deletepermission', 1),
	(2,'users/deleteuser',1),
	(2,'profile/edit',1);

-- ------------------------------------------------------------

--
-- ### Updating to current version in <em>`<?php echo  $TABLE_PREFIX; ?>store`</em> ###
--

REPLACE INTO `<?php echo  $TABLE_PREFIX; ?>store` 
(`key`,`data`) VALUES ('version','0.9.6');
