<?PHP if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**-------------------------------------------------------------------------
 *
 *	Mauth Home Controller  ***TEMPLATE***
 *	entry point to the website.  This is your 'welcome', or welcome controller
 *	
 *	NOTE:   you can use this for you own needs, edit at will.
 *   
 * Mauth
 * missionsix authentication checking
 *
 * @file:  		./application/controllers/install.php
 * @version:	0.9.2
 * @modified:	October, 2010
 * @author:		Pat Andrew	(http://patandrew.com/)
 * @link:		http://mauth.missionsix.net/
 *
 *-------------------------------------------------------------------------*/
 
class Welcome extends Mauth_Controller
{

    // constructor requires PHP5
 	public function __construct()
	{
        // calls Mauth's constructor
        parent::__construct();

		$this->data['curpage'] = 'index';
 	}
 	
	/*
    |--------------------------------------------------------------------
	| Website Index, Welcome page!
	|--------------------------------------------------------------------
    | This is the new site index.  Its created to show some general things
    | you can do with Mauth in an easy fashion.  Notice after you login how
    | there is a secret message displayed?
    |
	*/
 	function index()
	{
        // this removes the breadcrumbs on the home page.
        $this->navigation->eat();

        // this adds a breadcrumb to the trail.
        $this->navigation->crumb('', 'Site Index');


        // add an array of breadrumbs
        $this->navigation->crumb( array( 
                        'http://mauth.missionsix.net/' => 'About Mauth', 
                        'http://mauth.missionsix.net/donate' => 'Donate to Mauth' )
        );

        $this->data['secret_message'] = '';

        // this performs a permissions check on the permission titled `admin`    
        if( $this->permissions->CAN_admin )
        {
            $this->data['secret_message'] = heading('How are you today, '. $this->session->userdata('username') .'?', 2);
        }

 		$this->template->write_view('content', 'Mauth/welcome', $this->data);
 		
 		$this->display();
    }
}
 
 
