<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**-------------------------------------------------------------------------
 *
 *	Mauth Library
 *  This file contains hook functions which load the mauth library at the 
 *   correct time in page execution.
 *
 * @file:  		application/third_party/mauth/libraries/mauth.php
 * @version:	0.9.2
 * @modified:	October, 2010
 * @author:		Pat Andrew	(http://patandrew.com/)
 * @link:		http://mauth.missionsix.net/
 *
 *-------------------------------------------------------------------------*/


function load_mauth()
{
	$CI =& get_instance();
	
    $CI->load->add_package_path(APPPATH.'third_party/mauth/');

	$CI->load->config('mauth');
	$CI->load->helper('mauth');

	if( is_fbconnect_enabled() ) {
		$CI->load->helper('mauth_fb');
		$CI->load->library('facebook');
		
		if( !isset($CI->facebook) )
		{	
			show_error("The Facebook Library must be auto-loaded when integrating Mauth with Facebook.", 500);
			exit;
		}
	}	

    if( _continue_mauth() ) {

		$CI->load->library('mauth');
        $CI->load->model( array('users_model','permissions','navigation') );
		
		$CI->permissions->verify_route();
	}

   $CI->load->remove_package_path(APPPATH.'third_party/mauth/');
}

/**
 *	Continue Mauth?
 *	Check Exclusions config and returns false if current path is invalid
 *
 *	@return BOOL
 */
function _continue_mauth() {
	
	$CI =& get_instance();
	
	$mauth = $CI->config->item('mauth');
	
	$exclude_paths = array();
	
	if(isset($mauth['exclude_paths']))
    {		
		$exclude_paths = $mauth['exclude_paths'];
	}
	
	$continue = true;
	
	$excludepaths[] = 'install';  // special location
	
	$path_info = '';
	
	for($i = 1; $i <= count($CI->uri->rsegments); $i++)
    {
		$path_info .= $CI->uri->rsegment($i);
		
		if($i != count($CI->uri->rsegments)) {
			$path_info .= '/';	
		}
		
		if(in_array($path_info, $excludepaths)) {
			$continue = false;
		}
	}
	
	return $continue;	
}	

/* End of file mauth.php */ 
/* Location: ./application/hooks/mauth.php */ 
