<?php echo doctype('xhtml11'); ?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<?php
// metadata can be stored in an array in $this->data['metadata']
   	echo meta($metadata);

// these two vars are from Template.  For usage:
//      http://mauth.missionsix.net/user_guide/libraries/template
   	echo $_scripts;
   	echo $_styles;

?>
<title><?php echo $pagetitle; ?></title>

<style type="text/css">
body {
 background-color: #fff;
 margin: 3em;
 font-family: Lucida Grande, Verdana, Sans-serif;
 font-size: 14px;
 color: #4F5155;
}

a {
 color: #003399;
 background-color: transparent;
 font-weight: normal;
}

h1 {
 color: #444;
 background-color: transparent;
 border-bottom: 1px solid #D0D0D0;
 font-size: 16px;
 font-weight: bold;
 margin: 1em 0 .3em;
 padding: .5em;
}
h1 a {
    color:red; 
    font-size:2em;
    font-weight:bold; 
}

code {
 font-family: Monaco, Verdana, Sans-serif;
 font-size: 1em;
 background-color: #f9f9f9;
 border: 1px solid #D0D0D0;
 color: #002166;
 display: block;
 margin: 1em 0;
 padding: 1em;
}

#wrap {
    position:relative;
}
#userbox {
    position:   absolute;
    top:1em;
    right:1em;
}
#userbox ul, #userbox li { 
    list-style:none; 
    margin:0; 
    padding:0;
}
#userbox ul li { 
    display:inline; 
    padding:1em .5em;
}
#navigation { margin:1em; }

#footer {
    border-top:1px dotted #D0D0D0;
    margin:5em 0em 1em;
    clear:both;
    font-size:.85em;
}  
#links ul {
    border:1px solid #efefef;
    padding:1px;
    margin:2em 0;
    font-size:1.1em;
    height:2.3em;
}
#links ul:after {
    content:'.';
    color:#fff;
    clear:both;
}
#links ul, #links li {
    list-style:none;
}
#links li { display:inline; }
#links li a { display:block;
    float:left;
    padding:.5em 1em;
    border:1px solid #fff;
    color:#666;
    background:#efefef;
    text-decoration:none;
}
#links li a:hover {
    background:#ccc;
    color:#000;
}
#page
{
    margin:2em;
}

.form {	padding:1em; margin:1em;	}
.form h3 {
	margin:1em 0 0em;	padding:0;	}
.form label {	display:block;	float:left;	}	
.form fieldset {
	border: 1px solid #778998;
	margin: 1em 0;
	padding: 1em;
	clear: both;
} * html fieldset { padding-top: 0; }
.form legend {
	font-size: 135%;
	font-weight: normal;
	letter-spacing: -0.03em;
	line-height: 1;
	padding: 1em 0.5em; /* Top and Bottom for IE7 */
} * html legend { margin-bottom: 1em; padding: 0 0.5em; }
.form legend img {
	vertical-align:baseline;
	display:inline;
}
.form fieldset#sorting {
	padding:.25em 1em .5em 1em;
	margin:1em 0 2em 0;
	font:.9em Verdana, Arial, Helvetica, sans-serif;
	}
.form fieldset#sorting legend {
	color:#666666;
	font-size:120%;
	padding:0.5em;
}	
.form input, .form textarea, .form select, .form .form-brief {
	background: #ffffff;
	border: 1px solid #778998;
	color: #262d33;
	padding: .5em;
	margin:0;
	}
.form select {
	float:none;
}

.form select optgroup { padding:.15em 0; }
.form select option {
	padding: .25em;
	}
.form :disabled {
	background: #eee;
	border: 1px solid #ccc;
	color: #000;
}

.form div {
	clear:left; 
	margin:1em;
	}

.form p {
	margin:0;
	padding:0.5em 0;
	clear: left;
	height:2em;
	}
	.form p label {
		text-align:left;
		float:left;
		width:10em;
		}
		.form p input, .form p select, .form p textarea {
			float:left;
			}

.form button {
	padding: .5em 1.5em;
	border:1px outset #434f58;
	cursor:pointer;
	background:#fff;
}
.form button:hover {
	border:1px inset #B6DF61;
	background:#B6DF61;
	}
.error { font-weight:bold; font-size:.9em; background-color:#FACB4D; color:black; }
.success { font-weight:bold; margin:1em; padding:1em; background-color:#B6DF61; }
</style>
</head>
<body>
	<div id="wrap">
<?php 
		// header includes H1 (logo)
		echo $header; 
		
		// navigation 
		echo $navigation; 
		
		// Site Content
    	echo $content;  
    	
    	// footer information, site links 
    	echo $footer; 
    	
    	// USER information,  this is positioned at the TOP of the page via CSS.
   		echo $userbox; 
?>
	</div>
</body>
</html>	
